<?php
require "bootstrap.php";

// predpokladame url ve tvaru
//    tedy nic, pak zakladni stranka, controller index, akce index
// nebo /controller, pak controller, akce index
// nebo /controller/akce


// registry predstavuje globalni kontext
$registry = new Registry();

// vyrobime view templatovaci engine
$template = new Template($registry);
// pridame ho do globalniho kontextu
$registry->template = $template;

// vyrobime router
$router = new Router($registry);
// pridame ho do globalniho kontextu
$registry->router = $router;

$router->route();



?>